/*!
 * (C) Copyright IBM Corp. 2006
 *
 * \file ui_control.h
 * \brief general definitions for the kboot user interface starter
 *
 * $Id: ui_control.h,v 1.9 2006/02/09 16:17:57 loehr Exp $
 *
 * Author(s): Ralph Wuerthner (rwuerthn@de.ibm.com)
 *            Michael Loehr   (mloehr@de.ibm.com)
 *
 */


#ifndef _UI_CONTROL_H_
#define _UI_CONTROL_H_

#define UI_CONTROL_H_REVISION		"$Revision: 1.9 $"

#include "config.h"

#define UI_MODULE_PATH  "ui" //!< path to loader module directory
#define UI_KILL_TIMEOUT 2    //!< delay in seconds before sending SIGKILL
                             //!< to non responding user interface modules

int userinterface(const char *startup_msg, struct cfg_toplevel *config,
    struct cfg_bentry *boot);

#endif /* #ifndef _UI_CONTROL_H_ */
